Bug 785208 - Repo from one resource is shown for other, but can not be used.
Repo from one resource is shown for other, but can not be used.
Status: NEW
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
4.2
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-27 11:14 EST by Heiko W. Rupp
Modified: 2012-01-30 11:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-01-27 11:14:16 EST
if I add a repo for resource A with name "myRepo", resource B can't use its bits even if "myRepo" is listed for resource B as well?
[16:43:10] <pilhuhn> stefan_n sort of -- when I select a package from the repo on resourceB and clcik on "install", the method in the plugin container ( org.rhq.core.pc.content.ContentManager#performPackageDeployment ) seems not called
[16:43:26] <pilhuhn> this worked nicely on resource A, where I defined the repo

the repo is also listed in the Admin->repositories section

[16:44:10] <pilhuhn> I killed the repo now -- so let me try to set it up on resource B and check again
[16:47:40] <pilhuhn> also when I add the package to new "repo2"  the repo does in the subscriptions subtab show up in the "current resource subscriptions" section and not in the "available repo" section. Same when uploading yet another package at the "new" subtab. my "repo2" shows up at the "currently subscribed repos" radio button and not on the "existing repos" button
[17:00:32] <pilhuhn> cool now on the other resource, the repo shows under "available repos" and not under "subscriptions"
[17:01:38] <pilhuhn> but yes indeed this is true: [16:42:18] <stefan_n> pilhuhn, so basically you cannot use a repo for two resources??


Note that I did un-inventory resource A before creating resource B, but now re-checked with both resources still in inventory and the same applies.
Comment 1 Mike Foley 2012-01-27 11:25:41 EST
setting severity to high based on comments from heiko 

<pilhuhn> I see this as high - basically on resource B a repository for content is offered, but this content can not be deployed to the target and no failure message shows up anywhere
<pilhuhn> The user thinks this is a usable repo, but it is offered to him
Comment 2 Mike Foley 2012-01-30 11:43:11 EST
setting priority per 12/30/2012 BZ triage mfoley, ccrouch, loleary, asantos

Note You need to log in before you can comment on or make changes to this bug.